vellTRDocs
API ReferenceTransactionsList Transactions

List Transactions

GET/v1/transactionsRecommended

List transactions with keyset pagination and rich filters (status, store, customer, date range, amount range).

Authentication

Signature Pattern

HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/transactions\n{sha256(\"\")}")
HeaderValueDescription
X-Api-Keypk_live_a1b2c3d4e5f6g7h8Merchant public API key
X-Signature{hmac_sha256_hex}Hex HMAC-SHA256 request signature
X-Timestamp2026-04-13T10:00:00ZISO 8601 UTC request time (±5 min)

Request Parameters

NameTypeRequiredDescription
statusstringOptionalFilter by payment status
storeIdstringOptionalFilter by store
customerIdstringOptionalFilter by customer
fromstringOptionalISO 8601 lower bound (createdAt)
tostringOptionalISO 8601 upper bound (createdAt)
amountMinintegerOptionalMinimum amount (kuruş)
amountMaxintegerOptionalMaximum amount (kuruş)
methodstringOptionalPayment method: card or qr
limitintegerOptionalPage size
cursorstringOptionalOpaque keyset cursor

Response Parameters

FieldTypeExample
itemsarray[…]
items[].idstring"pay_1a2b3c4d5e6f"
items[].storeIdstring"sto_5a6b7c8d"
items[].transactionIdstring"ORDER-2026-001"
items[].statusstring"captured"
items[].amountinteger15000
items[].currencystring"TRY"
items[].refundsCountinteger0
items[].chargebacksCountinteger0
items[].createdAtstring"2026-04-13T10:00:00Z"
nextCursorstring"eyJjcmVhdGVkQXQiOiIyMDI2LTA0LTEzVDEwOjAw…

Response Example

JSONResponse
{
  "items": [
    {
      "id": "pay_1a2b3c4d5e6f",
      "storeId": "sto_5a6b7c8d",
      "transactionId": "ORDER-2026-001",
      "status": "captured",
      "amount": 15000,
      "currency": "TRY",
      "refundsCount": 0,
      "chargebacksCount": 0,
      "createdAt": "2026-04-13T10:00:00Z"
    }
  ],
  "nextCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTA0LTEzVDEwOjAwOjAwWiJ9"
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group